# How Much Do You Not Give a F***?
A fun application that connects to OpenAI APIs to determine just how much you don't give a f***!

## Getting Started
These instructions will get you a copy of the project up and running on your local machine for development and testing purposes.

## Prerequisites
* Docker
* An OpenAI API key, obtained from the OpenAI website.

## Installing
1. Clone the repository to your local machine:
``` bash
git clone https://git.adamoutler.com/aoutler/aidgaf-server
```
2. Open the project in Visual Studio Code.
3. Follow the prompts to open the Devcontainer and begin developing.

## Development
1. Set the APIKEY environment variable by using the Secrets extension in Visual Studio Code.
2. Press F5 in Visual Studio Code to start the server.
## Usage
The server accepts a message in the following format:

``` json
{"message":{"command":"aidgaf","data":{"username":"AdamOutler"},"timestamp":1676231329}}
```
## Built With
* [Docker](https://www.docker.com/)
* [Visual Studio Code](https://code.visualstudio.com/)
* [OpenAI](https://openai.com/)
* [Python](https://www.python.org/)
* [Automated builds by Jenkins](https://jenkins.adamoutler.com/blue/organizations/jenkins/Update%20IDGAF%20Server/activity)
## Contributing
If you would like to contribute to this project, please fork the repository and submit a pull request.

## License
Copyright 2023 Adam Outler

Licensed under the I Dont Give A F License, Version 1.1 (the "License");
you may not use this file except in compliance with the License.

0. Not for use in California.


3. Send an email to idgaf@hackedyour.info if you find this helpful.

Note: If you're wondering where numbers 1 and 2 are, IDGAF.

## Acknowledgments
* This README was generated using OpenAI's language model, ChatGPT.
* The Python code in other areas was documented using Github Copilot.
* AI is used for documentation because the author didn't give a f*** enough to write it himself.
